Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libxkbcommon
#Epoch:		0
Version:	0.1.0
Release:	1
License:	MIT/X11	
URL:		http://cgit.freedesktop.org/~krh/libxkbcommon/
Group:		System/Libraries
Summary:	XKB API common to servers and clients
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
# Sources checked out from Kristian Hogsbergs Git Repo
# git clone git://people.freedesktop.org/~krh/libxkbcommon.git
# removed .git files and packaged to bzip2 tarball
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires(pre): autoconf 
BuildRequires:	xorg-x11-util-macros
BuildRequires:	flex-devel
BuildRequires:  bison

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: pkg-config
BuildRequires: xorg-x11-proto-devel

%description
XKB API common to servers and clients


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
autoreconf -v --install

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libxkbcommon.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/XKBcommon.h
%{_libdir}/libxkbcommon.a
%{_libdir}/libxkbcommon.la
%{_libdir}/libxkbcommon.so
%{_pkgconfig}/xkbcommon.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Nov 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.0-1
- initial CCux package release
